1. Payment Links
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
    • Webhooks
      • Unified Webhook Entry
      • Virtual Account Webhook
      • Deposit Webhook
      • Payout Status Webhook
  • Payment Links
    • Payment Links
      • Create Payment Link
        POST
      • Update Payment Link
        PUT
      • Get Payment Link Detail
        GET
      • Get Payment Link List
        GET
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
  1. Payment Links

Update Payment Link

PUT
/api/v3/payment-link/update
Update payment link basic information via API, including name, description, and status

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟒200
application/json
Updated Successfully
Bodyapplication/json

🟠400
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/api/v3/payment-link/update' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "paymentLinkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "paymentLinkName": "Updated Payment Link Name",
    "paymentLinkDescription": "Updated description",
    "paymentLinkStatus": 0,
    "amount": 150,
    "receivingCurrencyList": [
        "USDT"
    ],
    "settlementCurrency": "USDT"
}'
Response Response Example
200 - ζˆεŠŸη€ΊδΎ‹
{
    "code": 200,
    "message": "success",
    "data": {
        "paymentLinkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "paymentLinkName": "Updated Payment Link Name",
        "paymentLinkDescription": "Updated description",
        "paymentLinkType": 1,
        "paymentLinkUrl": "https://example.com/shopping/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "paymentLinkAddress": "0x1234567890abcdef1234567890abcdef12345678",
        "paymentLinkStatus": 1,
        "settlementCurrency": "USDT",
        "amount": 100,
        "network": "Ethereum",
        "createTimeUtc": "2026-02-03 12:00:00",
        "updateTimeUtc": "2026-02-05 12:00:00"
    }
}
Modified atΒ 2026-05-27 09:48:31
Previous
Create Payment Link
Next
Get Payment Link Detail
Built with